version: '2'

services:
  onlyoffice:
    container_name: $ONLYOFFICE_CONTAINER_NAME
    image: $ONLYOFFICE_CONTAINER_IMAGE
    restart: $RESTART_POLICY
    stdin_open: true
    tty: true
    expose:
      - '80'
      - '443'
    volumes:
      - onlyoffice_data:/var/www/onlyoffice/Data
    environment:
      - JWT_ENABLED=true
      - JWT_SECRET=$ONLYOFFICE_SECRET_KEY
      - VIRTUAL_PORT=80
      - VIRTUAL_HOST=$ONLYOFFICE_CONTAINER_VHOST
      - LETSENCRYPT_HOST=$ONLYOFFICE_CONTAINER_VHOST
      - LETSENCRYPT_EMAIL=$LETSENCRYPT_CONTACT
    networks:
      - onlyoffice_network

volumes:
  onlyoffice_data:
    external:
      name: $ONLYOFFICE_CONTAINER_VOLUME_DATA
networks:
  onlyoffice_network:
    external:
      name: $ONLYOFFICE_CONTAINER_NETWORK